<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if ($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano . "-" . $sis_mes . "-" . $sis_dia;

$sqlGrupo = "SELECT * FROM cliente WHERE id_cli = '$id_fk_cliente_fact'";
$conGrupo = $bdFact->consulta($sqlGrupo);
$resGrupo = $bdFact->fetch_assoc($conGrupo);
$comentario = utf8_decode($resGrupo['nom_cli']);


if (isset($_POST['nombre_plano'])):
    $nombre_plano = strtoupper(utf8_decode($_POST['nombre_plano']));
else:
    $nombre_plano = '';
endif;

if (isset($_POST['nombre'])):
    $nombre = strtoupper(utf8_decode($_POST['nombre']));
else:
    $nombre = '';
endif;

if (isset($_POST['comentario'])):
    $comentario = strtoupper(utf8_decode($_POST['comentario']));
else:
    $comentario = '';
endif;

if (isset($_POST['fecha_crea'])):
    $fecha_crea = $_POST['fecha_crea'];
else:
    $fecha_crea = '';
endif;

if (isset($_POST['permanente'])):
    $permanente = $_POST['permanente'];
    if($permanente == 1):
        $fecha_permanente = $fecha_hoy;
    else:
        $fecha_permanente = '';
    endif;
else:
    $permanente = '';
    $fecha_permanente = '';
endif;

if (isset($_POST['fecha_crea'])):
    $fecha_crea = $_POST['fecha_crea'];
else:
    $fecha_crea = '';
endif;

?>
<form name="ActCTAPin" id="ActCTAPin">
    <input type="hidden" id="id_cta" name="id_cta" value="<?= $id_cta ?>">
    <input type="hidden" id="estado_empresa" name="estado_empresa" value="<?= $estado_empresa ?>">
    <input type="hidden" id="parametro_empresa" name="parametro_empresa" value="<?= $parametro_empresa ?>">
    <input type="hidden" id="id_cli_grupos" name="id_cli_grupos" value="<?= $id_cli_grupos ?>">
    <input type="hidden" id="planilla" name="planilla" value="<?= $planilla ?>">
    <input type="hidden" id="id_cli" name="id_cli" value="<?= $id_cli ?>">
    <input type="hidden" id="mes_planilla" name="mes_planilla" value="<?= $mes_planilla ?>">
    <input type="hidden" id="ano_planilla" name="ano_planilla" value="<?= $ano_planilla ?>">
    <input type="hidden" id="mes_crea" name="mes_crea" value="<?= $mes_crea ?>">
    <input type="hidden" id="ano_crea" name="ano_crea" value="<?= $ano_crea ?>">
    <input type="hidden" id="permanente" name="permanente" value="<?= $permanente ?>">
    <input type="hidden" id="activo" name="activo" value="<?= $activo ?>">
</form>
<?

if ($permanente == 1 and $activo == 1):

    ?>
    <script type="text/javascript">
        alert('No es posible inactivar permanentemente esta empresa porque se encuentra activa.');
        ocultar('#', 'modal');
        guardar('<?= $enlace ?>', 'ActCTAPin', 'divDer2', 'cargando');
    </script>
    <?

endif;

//Valido si no hay empresas parecidas
$sqlACTEMP = "UPDATE cta SET tipo_doc_emp='$tipo_doc_emp', nit='$nit', nit_plano='$nit_plano', digVeri='$digVeri', nombre='" . strtoupper(utf8_decode($nombre)) . "', nombre_plano='" . strtoupper(utf8_decode($nombre_plano)) . "', dire='$dire', tele='$tele', iva='$iva', admon_proporcional='$admon_proporcional', prefijo='$prefijo', tipo_recibos='$tipo_recibos', id_fk_cliente_fact='$id_fk_cliente_fact', permanente='$permanente', fecha_permanente='$fecha_permanente', modo='$modo', arl_cta='$arl_cta', sin_arl='$arl_cta', comentario='$comentario' WHERE id_cta=$id_cta";
$ACTEMP = $bdDepen->consulta("$sqlACTEMP");
//$texto = 'Actualizó correctamente en la base de datos';

if ($modo == 1):

    $sqlCONSULT = "UPDATE user_cta SET menu=99 where id_cta_fk=$id_cta";
    $ACTCONSULT = $bdDepen->consulta("$sqlCONSULT");

endif;

?>
<meta charset="utf-8">
<meta http-equiv="Content-Type" content="text/html; charset = utf-8" />



<script type="text/javascript">
    alert('Actualizó correctamente en la base de datos');
    ocultar('#', 'modal');
    guardar('<?= $enlace ?>', 'ActCTAPin', 'divDer2', 'cargando');
</script>